Package org.springframework.transaction.interceptor

# Class TransactionAspectSupport.TransactionInfo

java.lang.Object
org.springframework.transaction.interceptor.TransactionAspectSupport.TransactionInfo

Enclosing class:
  TransactionAspectSupport

protected static final class TransactionAspectSupport.TransactionInfo extends Object
Opaque object used to hold transaction information. Subclasses must pass it back to methods on this class, but not see its internals.

## Constructor Summary

Constructors
Constructor
Description
`TransactionInfo(PlatformTransactionManager transactionManager, TransactionAttribute transactionAttribute, String joinpointIdentification)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJoinpointIdentification()`
Return a String representation of this joinpoint (usually a Method call) for use in logging.
`TransactionAttribute`
`getTransactionAttribute()`
`PlatformTransactionManager`
`getTransactionManager()`
`TransactionStatus`
`getTransactionStatus()`
`boolean`
`hasTransaction()`
Return whether a transaction was created by this aspect, or whether we just have a placeholder to keep ThreadLocal stack integrity.
`void`
`newTransactionStatus(TransactionStatus status)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TransactionInfo

public TransactionInfo(@Nullable PlatformTransactionManager transactionManager, @Nullable TransactionAttribute transactionAttribute, String joinpointIdentification)

## Method Details

### getTransactionManager

public PlatformTransactionManager getTransactionManager()

### getTransactionAttribute

@Nullable public TransactionAttribute getTransactionAttribute()

### getJoinpointIdentification

public String getJoinpointIdentification()
Return a String representation of this joinpoint (usually a Method call) for use in logging.

### newTransactionStatus

public void newTransactionStatus(@Nullable TransactionStatus status)

### getTransactionStatus

@Nullable public TransactionStatus getTransactionStatus()

### hasTransaction

public boolean hasTransaction()
Return whether a transaction was created by this aspect, or whether we just have a placeholder to keep ThreadLocal stack integrity.

### toString

public String toString()

Overrides:
  `toString` in class `Object`